# cacheNode Struct Reference

`#include <dirCache.h>`

Collaboration diagram for cacheNode:

[legend]

## Data Fields

uInt16 * | attributes
int | dirty
cacheNode * | fileListHead
cacheNode * | fileListTail
void * | info
char * | name
cacheNode * | next
cacheNode * | parent
uInt16 * | permissions
int | present
cacheNode * | prev
int * | size
uInt32 * | startCluster

## Detailed Description

Definition at line 7 of file dirCache.h.

## Field Documentation

uInt16* cacheNode::attributes

Definition at line 19 of file dirCache.h.

Referenced by ubixfs_cacheFind(), ubixfs_cacheNew(), and ubixfs_initialize().

int cacheNode::dirty

Definition at line 17 of file dirCache.h.

Referenced by ubixfs_cacheNew().

struct cacheNode* cacheNode::fileListHead

Definition at line 12 of file dirCache.h.

Referenced by ubixfs_cacheAdd(), ubixfs_cacheDelete(), ubixfs_cacheFind(), and ubixfs_cacheNew().

struct cacheNode* cacheNode::fileListTail

Definition at line 13 of file dirCache.h.

Referenced by ubixfs_cacheAdd(), ubixfs_cacheFind(), and ubixfs_cacheNew().

void* cacheNode::info

Definition at line 14 of file dirCache.h.

Referenced by openFileUbixFS(), readUbixFS(), ubixfs_cacheDelete(), ubixfs_cacheFind(), ubixfs_cacheNew(), and ubixfs_initialize().

char* cacheNode::name

Definition at line 8 of file dirCache.h.

Referenced by ubixfs_cacheDelete(), ubixfs_cacheFind(), and ubixfs_cacheNew().

struct cacheNode* cacheNode::next

Definition at line 10 of file dirCache.h.

Referenced by ubixfs_cacheAdd(), ubixfs_cacheDelete(), ubixfs_cacheFind(), and ubixfs_cacheNew().

struct cacheNode* cacheNode::parent

Definition at line 11 of file dirCache.h.

Referenced by ubixfs_cacheAdd(), ubixfs_cacheFind(), and ubixfs_cacheNew().

uInt16* cacheNode::permissions

Definition at line 20 of file dirCache.h.

Referenced by openFileUbixFS(), ubixfs_cacheFind(), ubixfs_cacheNew(), and ubixfs_initialize().

int cacheNode::present

Definition at line 16 of file dirCache.h.

Referenced by openFileUbixFS(), readUbixFS(), ubixfs_cacheFind(), ubixfs_cacheNew(), and ubixfs_initialize().

struct cacheNode* cacheNode::prev

Definition at line 9 of file dirCache.h.

Referenced by ubixfs_cacheAdd(), ubixfs_cacheFind(), and ubixfs_cacheNew().

int* cacheNode::size

Definition at line 15 of file dirCache.h.

Referenced by openFileUbixFS(), ubixfs_cacheFind(), ubixfs_cacheNew(), and ubixfs_initialize().

uInt32* cacheNode::startCluster

Definition at line 18 of file dirCache.h.

Referenced by openFileUbixFS(), ubixfs_cacheFind(), ubixfs_cacheNew(), and ubixfs_initialize().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixfs/dirCache.h